> For the complete documentation index, see [llms.txt](https://docs.eximee.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eximee.com/budowanie-aplikacji/interfejs-uzytkownika/formularze/biblioteka-komponentow-bazowych/4-tresci/obraz-image.md).

# Obraz - Image

{% hint style="info" %}
Dostępność funkcjonalności zależy od licencji i może nie być dostępna we wszystkich wdrożeniach.
{% endhint %}

Komponent obrazka

![](https://content.gitbook.com/content/2CssJT0zIo4SJQLbSZ6l/blobs/Bk2spN3ZHN0Ii5XgNdhb/25s_files/image2025-5-16_12-37-58.png)

## Właściwości komponentu

<table><thead><tr><th>Właściwość Eximee Designer</th><th width="186.4666748046875">Nazwa atrybutu w Źródle</th><th>Opis</th></tr></thead><tbody><tr><td><strong>Link do obrazka</strong> (sekcja <strong>Podstawowe właściwości</strong>)</td><td>imageUrl</td><td>Obraz musi być przechowywany w repozytorium projektu aby mógł być wyświetlany na wniosku. W parametr należy wpisać względną ścieżkę do tego zasobu.</td></tr><tr><td><strong>Tekst do wyświetlenia, gdy url jest błędny</strong> (sekcja <strong>Podstawowe właściwości</strong>)</td><td>imageAlt</td><td>Treść lub grafika, która ma zostać wyświetlona, jeśli obrazek nie zostanie znaleziony (domyślnie pusta). Uwaga! Należy ustawić prezentację (<code>presentation</code>) informacyjną.</td></tr><tr><td><strong>Zachowanie domyślnych proporcji obrazka</strong> (sekcja <strong>Podstawowe właściwości</strong>)</td><td>keepAspectRatio</td><td>Parametr przestarzały - wszystkie obrazki mają zachowane domyślne proporcje.</td></tr><tr><td><strong>Prezentacja</strong> (sekcja <strong>WCAG</strong>)</td><td>presentation</td><td>- Informacyjna — obrazek jest fokusowalny oraz posiada atrybut <code>alt</code> z właściwości "Tekst do wyświetlenia, gdy url jest błędny".<br>- Dekoracyjna — obrazek nie jest fokusowalny oraz posiada atrybut <code>alt</code> z pustą wartością.</td></tr></tbody></table>

> Więcej informacji o właściwościach komponentu: [Wspólne właściwości komponentów](https://docs.eximee.com/budowanie-aplikacji/interfejs-uzytkownika/formularze/praca-z-komponentami-bazowymi/wspolne-wlasciwosci-komponentow.md)

{% hint style="info" %}
Wnioski demo: demoImage
{% endhint %}

{% hint style="info" %}
♿WCAG: [Dobre praktyki WCAG dla low-code dev](https://docs.eximee.com/budowanie-aplikacji/proces-biznesowy/tworzenie-procesu-biznesowego-w-bpmn-2.0/dobre-praktyki.md)
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.eximee.com/budowanie-aplikacji/interfejs-uzytkownika/formularze/biblioteka-komponentow-bazowych/4-tresci/obraz-image.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
